/*
 *                            *
 *                           * *
 *                          *   *
 *                     ***************
 *                      * *       * *
 *                       *  MUMPS  *
 *                      * *       * *
 *                     ***************
 *                          *   *
 *                           * *
 *                            *
 *
 *   fma_routines.c
 *    FreeM Administrative Tool - Routines
 *
 *  
 *   Author: John P. Willis <jpw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020 Coherent Logic Development LLC
 *
 **/

#if !defined(_FMA_ROUTINES_H)
#define _FMA_ROUTINES_H

#define FM_STR_MAX 258

int fma_routines_list (int optc, char **opts);
int fma_routines_edit (int optc, char **opts);
int fma_routines_examine (int optc, char **opts);
int fma_routines_backup (int optc, char **opts);
int fma_routines_restore (int optc, char **opts);
int fma_routines_import (int optc, char **opts);
int fma_routines_export (int optc, char **opts);
int fma_routines_remove (int optc, char **opts);
int file_exists(char *filename);

#endif