/*
 *                            *
 *                           * *
 *                          *   *
 *                     ***************
 *                      * *       * *
 *                       *  MUMPS  *
 *                      * *       * *
 *                     ***************
 *                          *   *
 *                           * *
 *                            *
 *
 *   sighnd.h
 *    FreeM signal handler declarations
 *
 *  
 *   Author: John P. Willis <jpw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020 Coherent Logic Development LLC
 * 
 **/

#ifndef _SIGHND_H
# define _SIGHND_H

extern void sig_attach (int sig, void *handler);
extern void sig_init(void);
extern void onwinch (void);
extern void onintr (void);
extern void onfpe (void);
extern void onquit (void);
extern void onkill (void);
extern void onhup (void);
extern void onbus (void);
extern void oncld (void);
extern void onipc (void);

#endif